package com.alterdekim.game.component.game;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum PlayerProperties {
    LocationServerName(PlayerPropertyType.String),
    RoleFlags(PlayerPropertyType.Enum),
    InstructorLevel(PlayerPropertyType.Integer),
    MagicLevel(PlayerPropertyType.Integer),
    RaceLevel(PlayerPropertyType.Integer),
    UsualTickets(PlayerPropertyType.Integer),
    MagicTickets(PlayerPropertyType.Integer),
    Experience(PlayerPropertyType.Integer),
    Level(PlayerPropertyType.Integer),
    //PositiveEnergy(PlayerPropertyType.Integer),
    VisaId(PlayerPropertyType.Integer),
    CurrentUseCount(PlayerPropertyType.Integer),
    LastNewspaperId(PlayerPropertyType.Integer),
    IsClubLocked(PlayerPropertyType.Boolean),
    ClubAccessType(PlayerPropertyType.Enum),
    IsMinorSecretAgent(PlayerPropertyType.Boolean),
    HasSnFriends(PlayerPropertyType.Boolean),
    IsHomeLocked(PlayerPropertyType.Boolean),
    IsLimited(PlayerPropertyType.Boolean),
    CampId(PlayerPropertyType.Integer),
    NiftTotalCount(PlayerPropertyType.Integer),
    DateRegistered(PlayerPropertyType.Date),
    MinsLeft(PlayerPropertyType.Integer),
    TimesUsed(PlayerPropertyType.Integer),
    PhoneCardBalance(PlayerPropertyType.Integer),
    WeaponsCount(PlayerPropertyType.Integer),
    OxygenUnits(PlayerPropertyType.Integer);

    private final PlayerPropertyType valueType;
}
